
Figure - Bug #118201
【IOVDEV-27346】【VC1】【内部】【0094】【台架】【EE环境】【副屏】【第三方应用】QQ-动态-动漫界
面点击右上角三个点btn直接退出
2023-05-24 10:20 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-05-24

Priority: High Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 中控屏版本：03.02.0078.C101����副屏版本：01.00.0094.C103��

Resolution: -- Degrated: --

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【环境信息】：EE环境

【测试时间】：2023.5.11 14:28

【前提条件】：

1、网络正常

2、副屏上电

【操作步骤】

1、打开并登录QQ，点击动态-动漫

2、进入动漫界面，点击右上角三个点btn

【实际结果】

1、直接退出动漫界面

【期待结果】

1、弹出分享界面

【备注】：

中控屏版本：03.02.0078.C101

副屏版本：01.00.0094.C103

QQ版本：8.9.53

视频及log地址：https://ofs.human-horizons.com/#/download/index/gcwl0lZMljg%3D

History

#1 - 2023-05-24 10:27 - CDTS_Test 吴诗雨

- File 20230511_143355.mp4 added
#2 - 2023-05-24 10:29 - CDTS_Test 吴诗雨

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118201

#3 - 2023-05-24 10:33 - CDTS_Test 吴诗雨

【回归是否成功】：失败

【回归时间】:  2023.05.23

【回归版本】:  10.00.0100.C103

【回归环境】：LJD8BC3F6P0000320

【回归日志】：已上传至附件

【回归手顺】：同问题描述

【回归结果】：同问题描述飞书20230523-141227.mp4

#4 - 2023-05-24 16:06 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW-廖涛

#5 - 2023-05-24 17:43 - CD FW-廖涛

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW-廖涛 to CDTS_Test 吴诗雨

■ Current conclusion

根据日志及现象分析，在 QQ 动漫频道点击更多按钮时，QQ 应用本身报错，导致页面退出，相关日志如下。

从 QQ App 中看，QQ 的动漫频道是以类似小程序的方式程序，在点击更多按钮时，QQ 内部通过反射去获取分享组件，该过程报错失败，导致页面退出

。在 QQ 的其他模块中尝试分享，分享面板是可以调起并执行分享的，所以该问题应该是 QQ 内置的小程序引擎的兼容性问题导致的，需要 QQ 开发商

处理，从系统层面无法处理。

日志如下：

05-11 14:28:15.262 29704 29704 I [MiniSDK]CapsuleButton: on more click

05-11 14:28:15.262 29704 29704 I QzoneConfig: key = qqminiapp secondaryKey= mini_app_share_to_wx_switcher value= null

05-11 14:28:15.262 29704 29704 I QzoneConfig: key = qqminiapp secondaryKey= mini_app_share_to_guild_blacklist value= null

05-11 14:28:15.262 29704 29704 D MiniAppProxyImpl: onCapsuleButtonMoreClick

05-11 14:28:15.263 29704 29704 I [MiniSDK]minisdk-MiniAppDexLoader:  MiniAppDexLoader : com.tencent.qqmini.sdk.action.GetShareState

05-11 14:28:15.263  1517  1779 W AudioIDCMicroNegotiator: idcm_warn: idcm control is not enable

05-11 14:28:15.263 29704 29704 W System.err: java.lang.NoSuchFieldException: No field what in class Lcom/tencent/qqmini/sdk/action/GetShareState; (declaration of

'com.tencent.qqmini.sdk.action.GetShareState' appears in base.apk!classes23.dex)

05-11 14:28:15.263 29704 29704 W System.err:     at java.lang.Class.getDeclaredField(Native Method)

05-11 14:28:15.263 29704 29704 W System.err:     at com.tencent.qqmini.sdk.launcher.action.ActionBridge.obtain(P:3)

05-11 14:28:15.263 29704 29704 W System.err:     at com.tencent.qqmini.sdk.launcher.action.ActionBridge$GetShareStateActionBridge.obtain(P:2)

05-11 14:28:15.263 29704 29704 W System.err:     at com.tencent.qqmini.proxyimpl.MiniAppProxyImpl.onCapsuleButtonMoreClick(P:8)

05-11 14:28:15.263 29704 29704 W System.err:     at com.tencent.qqmini.proxyimpl.ShareProxyImpl.showSharePanel(P:2)

05-11 14:28:15.263 29704 29704 W System.err:     at com.tencent.qqmini.sdk.widget.CapsuleButtonClickListener.onMoreClick(P:8)
05-11 14:28:15.263 29704 29704 W System.err:     at com.tencent.qqmini.sdk.widget.CapsuleButton.onClick(P:3)

05-11 14:28:15.263 29704 29704 W System.err:     at android.view.View.performClick(View.java:7441)

05-11 14:28:15.263 29704 29704 W System.err:     at android.view.View.performClickInternal(View.java:7418)

05-11 14:28:15.263 29704 29704 W System.err:     at android.view.View.access$3700(View.java:835)

05-11 14:28:15.264 29704 29704 W System.err:     at android.view.View$PerformClick.run(View.java:28681)

05-11 14:28:15.264 29704 29704 W System.err:     at android.os.Handler.handleCallback(Handler.java:938)

05-11 14:28:15.264 29704 29704 W System.err:     at android.os.Handler.dispatchMessage(Handler.java:99)

05-11 14:28:15.264 29704 29704 W System.err:     at android.os.Looper.loopOnce(Looper.java:201)

05-11 14:28:15.264 29704 29704 W System.err:     at android.os.Looper.loop(Looper.java:288)

05-11 14:28:15.264 29704 29704 W System.err:     at android.app.ActivityThread.main(ActivityThread.java:7880)

05-11 14:28:15.264 29704 29704 W System.err:     at java.lang.reflect.Method.invoke(Native Method)

05-11 14:28:15.264 29704 29704 W System.err:     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

05-11 14:28:15.264 29704 29704 W System.err:     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

05-11 14:28:15.265 29704 29704 D MiniAppProxyImpl: onCapsuleButtonMoreClick

05-11 14:28:15.265 29704 29704 I [MiniSDK]minisdk-MiniAppDexLoader:  MiniAppDexLoader : com.tencent.qqmini.sdk.action.GetShareState

05-11 14:28:15.265 29704 29704 W System.err: java.lang.NoSuchFieldException: No field what in class Lcom/tencent/qqmini/sdk/action/GetShareState; (declaration of

'com.tencent.qqmini.sdk.action.GetShareState' appears in base.apk!classes23.dex)

05-11 14:28:15.265 29704 29704 W System.err:     at java.lang.Class.getDeclaredField(Native Method)

05-11 14:28:15.265 29704 29704 W System.err:     at com.tencent.qqmini.sdk.launcher.action.ActionBridge.obtain(P:3)

05-11 14:28:15.265 29704 29704 W System.err:     at com.tencent.qqmini.sdk.launcher.action.ActionBridge$GetShareStateActionBridge.obtain(P:2)

05-11 14:28:15.265 29704 29704 W System.err:     at com.tencent.qqmini.proxyimpl.MiniAppProxyImpl.onCapsuleButtonMoreClick(P:8)

05-11 14:28:15.265 29704 29704 W System.err:     at com.tencent.qqmini.sdk.widget.CapsuleButtonClickListener.onMoreClick(P:11)

05-11 14:28:15.265 27680 29246 D DesktopDataManager: findMiniApp, failed to find Miniapp, appId = 1108240119

05-11 14:28:15.265 29704 29704 W System.err:     at com.tencent.qqmini.sdk.widget.CapsuleButton.onClick(P:3)

05-11 14:28:15.265 29704 29704 W System.err:     at android.view.View.performClick(View.java:7441)

05-11 14:28:15.265 29704 29704 W System.err:     at android.view.View.performClickInternal(View.java:7418)

05-11 14:28:15.265 29704 29704 W System.err:     at android.view.View.access$3700(View.java:835)

05-11 14:28:15.265 29704 29704 W System.err:     at android.view.View$PerformClick.run(View.java:28681)

05-11 14:28:15.265 29704 29704 W System.err:     at android.os.Handler.handleCallback(Handler.java:938)

05-11 14:28:15.266 29704 29704 W System.err:     at android.os.Handler.dispatchMessage(Handler.java:99)

05-11 14:28:15.266 29704 29704 W System.err:     at android.os.Looper.loopOnce(Looper.java:201)

05-11 14:28:15.266 29704 29704 W System.err:     at android.os.Looper.loop(Looper.java:288)

05-11 14:28:15.266 29704 29704 W System.err:     at android.app.ActivityThread.main(ActivityThread.java:7880)

05-11 14:28:15.266 29704 29704 W System.err:     at java.lang.reflect.Method.invoke(Native Method)

05-11 14:28:15.266 29704 29704 W System.err:     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

05-11 14:28:15.266 29704 29704 W System.err:     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

05-11 14:28:15.266 29704 30908 D MiniAppProxyImpl: onMoreClick onCallback code : 0

05-11 14:28:15.268 29704 29704 I [MiniSDK]minisdk-MiniAppDexLoader:  MiniAppDexLoader : com.tencent.qqmini.sdk.action.GetShareState

05-11 14:28:15.268 27680 29246 D DesktopDataManager: findMiniApp, failed to find Miniapp, appId = 1108240119

05-11 14:28:15.268 29704 29704 W System.err: java.lang.NoSuchFieldException: No field what in class Lcom/tencent/qqmini/sdk/action/GetShareState; (declaration of

'com.tencent.qqmini.sdk.action.GetShareState' appears in base.apk!classes23.dex)

05-11 14:28:15.269 29704 29704 W System.err:     at java.lang.Class.getDeclaredField(Native Method)

05-11 14:28:15.269 29704 29704 W System.err:     at com.tencent.qqmini.sdk.launcher.action.ActionBridge.obtain(P:3)

05-11 14:28:15.269 29704 29704 W System.err:     at com.tencent.qqmini.sdk.launcher.action.ActionBridge$GetShareStateActionBridge.obtain(P:2)

05-11 14:28:15.269 29704 29704 W System.err:     at com.tencent.qqmini.proxyimpl.MiniAppProxyImpl.u(P:6)

05-11 14:28:15.269 29704 30908 D MiniAppProxyImpl: onMoreClick onCallback code : 0

05-11 14:28:15.269 29704 29704 W System.err:     at com.tencent.qqmini.proxyimpl.MiniAppProxyImpl$11$1.run(P:1)

05-11 14:28:15.269 29704 29704 W System.err:     at android.os.Handler.handleCallback(Handler.java:938)

05-11 14:28:15.269 29704 29704 W System.err:     at android.os.Handler.dispatchMessage(Handler.java:99)

05-11 14:28:15.269 29704 29704 W System.err:     at android.os.Looper.loopOnce(Looper.java:201)

05-11 14:28:15.269 29704 29704 W System.err:     at android.os.Looper.loop(Looper.java:288)

05-11 14:28:15.269 29704 29704 W System.err:     at android.app.ActivityThread.main(ActivityThread.java:7880)

05-11 14:28:15.269 29704 29704 W System.err:     at java.lang.reflect.Method.invoke(Native Method)
05-11 14:28:15.269 29704 29704 W System.err:     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

05-11 14:28:15.269 29704 29704 W System.err:     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

05-11 14:28:15.272 29704 29704 I MiniHippyApiImpl: [isMiniHippy] false

05-11 14:28:15.272 29704 29704 I MiniAppProxyImpl: shouldShowKingCardTip network type is wifi + true

05-11 14:28:15.273 29704 29704 I MiniHippyApiImpl: [isMiniHippy] false

05-11 14:28:15.276 29704 29704 D [MiniSDK]ActivityResultManager: addActivityResultListener com.tencent.qqmini.proxyimpl.MiniAppProxyImpl$c@5f35121

05-11 14:28:15.276 29704 29704 D mini_msg_MiniChatActivity: isAppLandscape orientation=2, width=2482, height=1034

05-11 14:28:15.276 29704 29704 D mini_msg_MiniChatActivity: openMiniMsgTab isAppLandscape=true, needActionSheet=true

■ Next action

测试确认并同步客户。

#6 - 2023-05-24 21:17 - CD TEST-方永红

- Status changed from NEED_INFO to RESOLVED

已同步

#7 - 2023-05-24 21:18 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#8 - 2023-05-24 21:18 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

飞书20230523-141227.mp4 2.05 MB 2023-05-24 CDTS_Test 吴诗雨

20230511_143355.mp4 5.17 MB 2023-05-24 CDTS_Test 吴诗雨
